Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## ccl.swing
Class InputCancelDialog

    java.lang.Object
      |
      +--java.awt.Component
            |
            +--java.awt.Container
                  |
                  +--java.awt.Window
                        |
                        +--java.awt.Dialog
                              |
                              +--javax.swing.JDialog
                                    |
                                    +--ccl.swing.ExitJDialog
                                          |
                                          +--ccl.swing.InputCancelDialog

All Implemented Interfaces:
  javax.accessibility.Accessible, java.util.EventListener, java.awt.image.ImageObserver, java.awt.MenuContainer, javax.swing.RootPaneContainer, java.io.Serializable, javax.swing.WindowConstants, java.awt.event.WindowListener

public class InputCancelDialog
extends ExitJDialog

This dialog provides a basic input facility for a line of text. If a vector of strings is given they can be selected in a drop down list for user convenience.

See Also:
  Serialized Form

Field Summary

Fields inherited from class javax.swing.JDialog
`accessibleContext, rootPane, rootPaneCheckingEnabled`

Fields inherited from class java.awt.Component
`BOTTOM_ALIGNMENT, CENTER_ALIGNMENT, LEFT_ALIGNMENT, RIGHT_ALIGNMENT, TOP_ALIGNMENT`

Fields inherited from interface javax.swing.WindowConstants
`DISPOSE_ON_CLOSE, DO_NOTHING_ON_CLOSE, EXIT_ON_CLOSE, HIDE_ON_CLOSE`

Fields inherited from interface java.awt.image.ImageObserver
`ABORT, ALLBITS, ERROR, FRAMEBITS, HEIGHT, PROPERTIES, SOMEBITS, WIDTH`

Constructor Summary
`InputCancelDialog(java.awt.Frame frmParent_, java.lang.String sPrint_, java.lang.String sInit_)` Creates an input dialog for a text string.
`InputCancelDialog(java.awt.Frame frmParent_, java.lang.String sPrint_, java.lang.String sInit_, java.util.Vector vHistory_)` Creates an input dialog for a text string.
`InputCancelDialog(java.awt.Frame frmParent_, java.lang.String sPrint_, java.lang.String sInit_, java.util.Vector vHistory_, boolean bEditable_)` Creates an input dialog for a text string.

Method Summary
`java.lang.String` | `getValue()` This method returns the input from the user.
`static java.lang.String` | `input(java.awt.Frame frmParent_, java.lang.String sPrint_, java.lang.String sInit_, java.util.Vector vHistory_)` Creates an input dialog for a text string.
`static java.lang.String` | `input(java.awt.Frame frmParent_, java.lang.String sPrint_, java.lang.String sInit_, java.util.Vector vHistory_, boolean bEditable_)` Creates an input dialog for a text string.
`boolean` | `isOK()` This method indicates if the user did cancel the dialog.
`static void` | `updateHistory(java.util.Vector vHistory_, java.lang.String sNewElement_)` This is a convenience method to help keeping the recent history up to date.

Methods inherited from class ccl.swing.ExitJDialog
`exit, windowActivated, windowClosed, windowClosing, windowDeactivated, windowDeiconified, windowIconified, windowOpened`

Methods inherited from class javax.swing.JDialog
`addImpl, createRootPane, dialogInit, getAccessibleContext, getContentPane, getDefaultCloseOperation, getGlassPane, getJMenuBar, getLayeredPane, getRootPane, isDefaultLookAndFeelDecorated, isRootPaneCheckingEnabled, paramString, processWindowEvent, remove, setContentPane, setDefaultCloseOperation, setDefaultLookAndFeelDecorated, setGlassPane, setJMenuBar, setLayeredPane, setLayout, setRootPane, setRootPaneCheckingEnabled, update`

Methods inherited from class java.awt.Dialog
`addNotify, dispose, getTitle, hide, isModal, isResizable, isUndecorated, setModal, setResizable, setTitle, setUndecorated, show`

Methods inherited from class java.awt.Window
`addPropertyChangeListener, addPropertyChangeListener, addWindowFocusListener, addWindowListener, addWindowStateListener, applyResourceBundle, applyResourceBundle, createBufferStrategy, createBufferStrategy, finalize, getBufferStrategy, getFocusableWindowState, getFocusCycleRootAncestor, getFocusOwner, getFocusTraversalKeys, getGraphicsConfiguration, getInputContext, getListeners, getLocale, getMostRecentFocusOwner, getOwnedWindows, getOwner, getToolkit, getWarningString, getWindowFocusListeners, getWindowListeners, getWindowStateListeners, isActive, isFocusableWindow, isFocusCycleRoot, isFocused, isShowing, pack, postEvent, processEvent, processWindowFocusEvent, processWindowStateEvent, removeWindowFocusListener, removeWindowListener, removeWindowStateListener, setCursor, setFocusableWindowState, setFocusCycleRoot, setLocationRelativeTo, toBack, toFront`

Methods inherited from class java.awt.Container
`add, add, add, add, add, addContainerListener, applyComponentOrientation, areFocusTraversalKeysSet, countComponents, deliverEvent, doLayout, findComponentAt, findComponentAt, getAlignmentX, getAlignmentY, getComponent, getComponentAt, getComponentAt, getComponentCount, getComponents, getContainerListeners, getFocusTraversalPolicy, getInsets, getLayout, getMaximumSize, getMinimumSize, getPreferredSize, insets, invalidate, isAncestorOf, isFocusCycleRoot, isFocusTraversalPolicySet, layout, list, list, locate, minimumSize, paint, paintComponents, preferredSize, print, printComponents, processContainerEvent, remove, removeAll, removeContainerListener, removeNotify, setFocusTraversalKeys, setFocusTraversalPolicy, setFont, transferFocusBackward, transferFocusDownCycle, validate, validateTree`

Methods inherited from class java.awt.Component
`action, add, addComponentListener, addFocusListener, addHierarchyBoundsListener, addHierarchyListener, addInputMethodListener, addKeyListener, addMouseListener, addMouseMotionListener, addMouseWheelListener, bounds, checkImage, checkImage, coalesceEvents, contains, contains, createImage, createImage, createVolatileImage, createVolatileImage, disable, disableEvents, dispatchEvent, enable, enable, enableEvents, enableInputMethods, firePropertyChange, firePropertyChange, firePropertyChange, getBackground, getBounds, getBounds, getColorModel, getComponentListeners, getComponentOrientation, getCursor, getDropTarget, getFocusListeners, getFocusTraversalKeysEnabled, getFont, getFontMetrics, getForeground, getGraphics, getHeight, getHierarchyBoundsListeners, getHierarchyListeners, getIgnoreRepaint, getInputMethodListeners, getInputMethodRequests, getKeyListeners, getLocation, getLocation, getLocationOnScreen, getMouseListeners, getMouseMotionListeners, getMouseWheelListeners, getName, getParent, getPeer, getPropertyChangeListeners, getPropertyChangeListeners, getSize, getSize, getTreeLock, getWidth, getX, getY, gotFocus, handleEvent, hasFocus, imageUpdate, inside, isBackgroundSet, isCursorSet, isDisplayable, isDoubleBuffered, isEnabled, isFocusable, isFocusOwner, isFocusTraversable, isFontSet, isForegroundSet, isLightweight, isOpaque, isValid, isVisible, keyDown, keyUp, list, list, list, location, lostFocus, mouseDown, mouseDrag, mouseEnter, mouseExit, mouseMove, mouseUp, move, nextFocus, paintAll, prepareImage, prepareImage, printAll, processComponentEvent, processFocusEvent, processHierarchyBoundsEvent, processHierarchyEvent, processInputMethodEvent, processKeyEvent, processMouseEvent, processMouseMotionEvent, processMouseWheelEvent, remove, removeComponentListener, removeFocusListener, removeHierarchyBoundsListener, removeHierarchyListener, removeInputMethodListener, removeKeyListener, removeMouseListener, removeMouseMotionListener, removeMouseWheelListener, removePropertyChangeListener, removePropertyChangeListener, repaint, repaint, repaint, repaint, requestFocus, requestFocus, requestFocusInWindow, requestFocusInWindow, reshape, resize, resize, setBackground, setBounds, setBounds, setComponentOrientation, setDropTarget, setEnabled, setFocusable, setFocusTraversalKeysEnabled, setForeground, setIgnoreRepaint, setLocale, setLocation, setLocation, setName, setSize, setSize, setVisible, show, size, toString, transferFocus, transferFocusUpCycle`

Methods inherited from class java.lang.Object
`clone, equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### InputCancelDialog

    public InputCancelDialog(java.awt.Frame frmParent_,
                             java.lang.String sPrint_,
                             java.lang.String sInit_)

  Creates an input dialog for a text string.

Parameters:
  `frmParent_` - the parent frame.
  `sPrint_` - the user request message. A colon and space has to be given by the user, it will not be added by the dialog itself.
  `sInit_` - the default input value.

### InputCancelDialog

    public InputCancelDialog(java.awt.Frame frmParent_,
                             java.lang.String sPrint_,
                             java.lang.String sInit_,
                             java.util.Vector vHistory_)

  Creates an input dialog for a text string.

Parameters:
  `frmParent_` - the parent frame.
  `sPrint_` - the user request message. A colon and space has to be given by the user, it will not be added by the dialog itself.
  `sInit_` - the default input value.
  `vHistory_` - a list of string the user can pick for input. If this list is null no drop down list is shown at all. The first element in the vector will appear at the top of the list. The vector will not be changed. Use updateHistory for that purpose after this dialog has been closed.

### InputCancelDialog

    public InputCancelDialog(java.awt.Frame frmParent_,
                             java.lang.String sPrint_,
                             java.lang.String sInit_,
                             java.util.Vector vHistory_,
                             boolean bEditable_)

  Creates an input dialog for a text string.

Parameters:
  `frmParent_` - the parent frame.
  `sPrint_` - the user request message. A colon and space has to be given by the user, it will not be added by the dialog itself.
  `sInit_` - the default input value.
  `vHistory_` - a list of string the user can pick for input. If this list is null no drop down list is shown at all. The first element in the vector will appear at the top of the list. The vector will not be changed. Use updateHistory for that purpose after this dialog has been closed.
  `bEditable_` - false if input is presented via JComboBox and is not editable.

Method Detail

### isOK

    public boolean isOK()

  This method indicates if the user did cancel the dialog.

  Returns:
    false on cancel, otherwise true.

### getValue

    public java.lang.String getValue()

  This method returns the input from the user.

### updateHistory

    public static void updateHistory(java.util.Vector vHistory_,
                                     java.lang.String sNewElement_)

  This is a convenience method to help keeping the recent history up to date. After 20 lines the rest is dropped off.

  Parameters:
    `vHistory_` - the old history. This vector will be updated!
    `sNewElement_` - the latest new text string that shall be added to the history (to the front).

### input

    public static java.lang.String input(java.awt.Frame frmParent_,
                                         java.lang.String sPrint_,
                                         java.lang.String sInit_,
                                         java.util.Vector vHistory_)

  Creates an input dialog for a text string.

  Parameters:
    `frmParent_` - the parent frame.
    `sPrint_` - the user request message. A colon and space has to be given by the user, it will not be added by the dialog itself.
    `sInit_` - the default input value.
    `vHistory_` - a list of string the user can pick for input. If this list is null no drop down list is shown at all. The first element in the vector will appear at the top of the list. The vector will be updated when the user did press 'OK'.

### input

    public static java.lang.String input(java.awt.Frame frmParent_,
                                         java.lang.String sPrint_,
                                         java.lang.String sInit_,
                                         java.util.Vector vHistory_,
                                         boolean bEditable_)

  Creates an input dialog for a text string.

  Parameters:
    `frmParent_` - the parent frame.
    `sPrint_` - the user request message. A colon and space has to be given by the user, it will not be added by the dialog itself.
    `sInit_` - the default input value.
    `vHistory_` - a list of string the user can pick for input. If this list is null no drop down list is shown at all. The first element in the vector will appear at the top of the list. The vector will be updated when the user did press 'OK'.
    `bEditable_` - false if input is presented via JComboBox and is not editable.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD